/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-11-22
 * 描述            ：报支单从表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Settlement.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Settlement.mapper.PurBalanceHMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_BALANCE_H", namespace=PurBalanceHMapper.class)
public class PurBalanceH extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 849148878220057997L;
	/** 
	 * 报支单行号(应付单号+3位流水)
	 */ 
	@Id
	private String payable_sqe;
	public String getPayable_sqe() {
		return this.payable_sqe;
	}
	public void setPayable_sqe(String payable_sqe) {
		this.payable_sqe = payable_sqe;
	}

	/** 
	 * 报支单号(YFYYYYMMDD+3位流水)
	 */ 
	@Column
	private String payable_no;
	public String getPayable_no() {
		return this.payable_no;
	}
	public void setPayable_no(String payable_no) {
		this.payable_no = payable_no;
	}

	/** 
	 * 参考单号
	 */ 
	@Column
	private String refe_no;
	public String getRefe_no() {
		return this.refe_no;
	}
	public void setRefe_no(String refe_no) {
		this.refe_no = refe_no;
	}

	/** 
	 * 参考单类别代码(6030)
	 */ 
	@Column
	private String refe_type_code;
	public String getRefe_type_code() {
		return this.refe_type_code;
	}
	public void setRefe_type_code(String refe_type_code) {
		this.refe_type_code = refe_type_code;
	}

	/** 
	 * 参考单类别名称
	 */ 
	@Column
	private String refe_type_name;
	public String getRefe_type_name() {
		return this.refe_type_name;
	}
	public void setRefe_type_name(String refe_type_name) {
		this.refe_type_name = refe_type_name;
	}

	/** 
	 * 合同号PK(GUID)
	 */ 
	@Column
	private String contract_pk;
	public String getContract_pk() {
		return this.contract_pk;
	}
	public void setContract_pk(String contract_pk) {
		this.contract_pk = contract_pk;
	}

	/** 
	 * 合同号
	 */ 
	@Column
	private String contract_no;
	public String getContract_no() {
		return this.contract_no;
	}
	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}

	/** 
	 * 订单号PK=合同号PK(GUID)+3位流水
	 */ 
	@Column
	private String order_pk;
	public String getOrder_pk() {
		return this.order_pk;
	}
	public void setOrder_pk(String order_pk) {
		this.order_pk = order_pk;
	}

	/** 
	 * 订单号
	 */ 
	@Column
	private String order_no;
	public String getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	/** 
	 * 物料编码
	 */ 
	@Column
	private String item_code;
	public String getItem_code() {
		return this.item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}

	/** 
	 * 物料名称
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * 物料描述
	 */ 
	@Column
	private String item_desc;
	public String getItem_desc() {
		return this.item_desc;
	}
	public void setItem_desc(String item_desc) {
		this.item_desc = item_desc;
	}

	/** 
	 * 物料英文名称
	 */ 
	@Column
	private String item_desc_e;
	public String getItem_desc_e() {
		return this.item_desc_e;
	}
	public void setItem_desc_e(String item_desc_e) {
		this.item_desc_e = item_desc_e;
	}

	/** 
	 * 物料检索(拼音助记码)
	 */ 
	@Column
	private String item_idx;
	public String getItem_idx() {
		return this.item_idx;
	}
	public void setItem_idx(String item_idx) {
		this.item_idx = item_idx;
	}

	/** 
	 * 分类代码
	 */ 
	@Column
	private String mat_class_code;
	public String getMat_class_code() {
		return this.mat_class_code;
	}
	public void setMat_class_code(String mat_class_code) {
		this.mat_class_code = mat_class_code;
	}

	/** 
	 * 分类名称
	 */ 
	@Column
	private String mat_class_name;
	public String getMat_class_name() {
		return this.mat_class_name;
	}
	public void setMat_class_name(String mat_class_name) {
		this.mat_class_name = mat_class_name;
	}

	/** 
	 * 规格
	 */ 
	@Column
	private String spec_name;
	public String getSpec_name() {
		return this.spec_name;
	}
	public void setSpec_name(String spec_name) {
		this.spec_name = spec_name;
	}

	/** 
	 * 标准代码
	 */ 
	@Column
	private String standards_code;
	public String getStandards_code() {
		return this.standards_code;
	}
	public void setStandards_code(String standards_code) {
		this.standards_code = standards_code;
	}

	/** 
	 * 标准号
	 */ 
	@Column
	private String standards_name;
	public String getStandards_name() {
		return this.standards_name;
	}
	public void setStandards_name(String standards_name) {
		this.standards_name = standards_name;
	}

	/** 
	 * (钢种/钢级/牌号)----COM_BASE_STEEL
	 */ 
	@Column
	private String steel_code;
	public String getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	/** 
	 * (钢种/钢级/牌号)
	 */ 
	@Column
	private String steel_name;
	public String getSteel_name() {
		return this.steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	/** 
	 * 属性代码
	 */ 
	@Column
	private String attr_code;
	public String getAttr_code() {
		return this.attr_code;
	}
	public void setAttr_code(String attr_code) {
		this.attr_code = attr_code;
	}

	/** 
	 * 属性名称
	 */ 
	@Column
	private String attr_name;
	public String getAttr_name() {
		return this.attr_name;
	}
	public void setAttr_name(String attr_name) {
		this.attr_name = attr_name;
	}

	/** 
	 * 交货状态代码---COM_BASE_DELIVERYSTATE
	 */ 
	@Column
	private String delivery_state_code;
	public String getDelivery_state_code() {
		return this.delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/** 
	 * 交货状态名称
	 */ 
	@Column
	private String delivery_state_name;
	public String getDelivery_state_name() {
		return this.delivery_state_name;
	}
	public void setDelivery_state_name(String delivery_state_name) {
		this.delivery_state_name = delivery_state_name;
	}

	/** 
	 * 报支数量(结算单报支则为结算单数值)
	 */ 
	@Column
	private Double payable_qty;
	public Double getPayable_qty() {
		return this.payable_qty;
	}
	public void setPayable_qty(Double payable_qty) {
		this.payable_qty = payable_qty;
	}

	/** 
	 * 采购物料单位编码
	 */ 
	@Column
	private String uom_code;
	public String getUom_code() {
		return this.uom_code;
	}
	public void setUom_code(String uom_code) {
		this.uom_code = uom_code;
	}

	/** 
	 * 采购单位名称
	 */ 
	@Column
	private String uom_name;
	public String getUom_name() {
		return this.uom_name;
	}
	public void setUom_name(String uom_name) {
		this.uom_name = uom_name;
	}

	/** 
	 * 供应商代码
	 */ 
	@Column
	private String supp_code;
	public String getSupp_code() {
		return this.supp_code;
	}
	public void setSupp_code(String supp_code) {
		this.supp_code = supp_code;
	}

	/** 
	 * 供应商名称
	 */ 
	@Column
	private String supp_name;
	public String getSupp_name() {
		return this.supp_name;
	}
	public void setSupp_name(String supp_name) {
		this.supp_name = supp_name;
	}

	/** 
	 * 税率(结算单报支则为结算单数值)
	 */ 
	@Column
	private String bills_tax_rate_val;
	public String getBills_tax_rate_val() {
		return this.bills_tax_rate_val;
	}
	public void setBills_tax_rate_val(String bills_tax_rate_val) {
		this.bills_tax_rate_val = bills_tax_rate_val;
	}

	/** 
	 * 含税单价(结算单报支则为结算单数值)
	 */ 
	@Column
	private Double bills_with_tax;
	public Double getBills_with_tax() {
		return this.bills_with_tax;
	}
	public void setBills_with_tax(Double bills_with_tax) {
		this.bills_with_tax = bills_with_tax;
	}

	/** 
	 * 报支总金额(结算单报支则为结算单数值,冲减单则为冲减数值)
	 */ 
	@Column
	private Double bills_with_tax_amt;
	public Double getBills_with_tax_amt() {
		return this.bills_with_tax_amt;
	}
	public void setBills_with_tax_amt(Double bills_with_tax_amt) {
		this.bills_with_tax_amt = bills_with_tax_amt;
	}

	/** 
	 * 报支不含税金额(结算单报支则为结算单数值)
	 */ 
	@Column
	private Double bills_without_tax_amt;
	public Double getBills_without_tax_amt() {
		return this.bills_without_tax_amt;
	}
	public void setBills_without_tax_amt(Double bills_without_tax_amt) {
		this.bills_without_tax_amt = bills_without_tax_amt;
	}

	/** 
	 * 报支税额(结算单报支则为结算单数值)
	 */ 
	@Column
	private Double bills_tax_amt;
	public Double getBills_tax_amt() {
		return this.bills_tax_amt;
	}
	public void setBills_tax_amt(Double bills_tax_amt) {
		this.bills_tax_amt = bills_tax_amt;
	}

	/** 
	 * 公司代码
	 */ 
	@Column
	private String company_code;
	public String getCompany_code() {
		return this.company_code;
	}
	public void setCompany_code(String company_code) {
		this.company_code = company_code;
	}

	/** 
	 * 公司名称
	 */ 
	@Column
	private String company_name;
	public String getCompany_name() {
		return this.company_name;
	}
	public void setCompany_name(String company_name) {
		this.company_name = company_name;
	}

	/** 
	 * 管理部门代码
	 */ 
	@Column
	private String dept_code;
	public String getDept_code() {
		return this.dept_code;
	}
	public void setDept_code(String dept_code) {
		this.dept_code = dept_code;
	}

	/** 
	 * 管理部门描叙
	 */ 
	@Column
	private String dept_desc;
	public String getDept_desc() {
		return this.dept_desc;
	}
	public void setDept_desc(String dept_desc) {
		this.dept_desc = dept_desc;
	}

	/** 
	 * 管理科室代码
	 */ 
	@Column
	private String unit_code;
	public String getUnit_code() {
		return this.unit_code;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}

	/** 
	 * 管理科室描叙
	 */ 
	@Column
	private String unit_desc;
	public String getUnit_desc() {
		return this.unit_desc;
	}
	public void setUnit_desc(String unit_desc) {
		this.unit_desc = unit_desc;
	}

	/** 
	 * 业务年月(YYYYMM)(数据生成时默认写入当前日期对应的年月)
	 */ 
	@Column
	private String bal_year_month;
	public String getBal_year_month() {
		return this.bal_year_month;
	}
	public void setBal_year_month(String bal_year_month) {
		this.bal_year_month = bal_year_month;
	}

	/** 
	 * 归档标志(1归档、0未归档)
	 */ 
	@Column
	private String archive_flag;
	public String getArchive_flag() {
		return this.archive_flag;
	}
	public void setArchive_flag(String archive_flag) {
		this.archive_flag = archive_flag;
	}

	/** 
	 * 归档编号(GD+YYYYYMMDD+3位流水号)
	 */ 
	@Column
	private String arch_stamp_no;
	public String getArch_stamp_no() {
		return this.arch_stamp_no;
	}
	public void setArch_stamp_no(String arch_stamp_no) {
		this.arch_stamp_no = arch_stamp_no;
	}

	/** 
	 * 归档日期(YYYYMMDD)
	 */ 
	@Column
	private String arch_date;
	public String getArch_date() {
		return this.arch_date;
	}
	public void setArch_date(String arch_date) {
		this.arch_date = arch_date;
	}

	/** 
	 * 数据状态（00无效10草稿20生效30结案）
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 审批状态(00:待提报10:待审批 20:审批中 30审批拒绝40审批退回50审批通过)
	 */ 
	@Column
	private String status;
	public String getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String remark;
	public String getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 废除人ID
	 */ 
	@Column
	private String delete_userid;
	public String getDelete_userid() {
		return this.delete_userid;
	}
	public void setDelete_userid(String delete_userid) {
		this.delete_userid = delete_userid;
	}

	/** 
	 * 废除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 废除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	
	/**
	 *  结算单行号
	 */
	@Column
	private String balance_sqe;
	public String getBalance_sqe() {
		return balance_sqe;
	}
	public void setBalance_sqe(String balance_sqe) {
		this.balance_sqe = balance_sqe;
	}
	
	//查询结算单行专用：
	//采购数量
	private Double qty;
	//不含税单价
	private Double price_without_tax;
	//不含税金额(物料)
	private Double without_tax_amt;
	//税额(物料)
	private Double tax_amt;
	//不含税单价(运费)
	private Double price_without_freight;
	//不含税金额(运费)
	private Double freight_without_amt;
	//税额(运费)
	private Double price_tax_amt;
	//冲减金额
	private Double ticket_atm;
	public Double getPrice_without_tax() {
		return price_without_tax;
	}
	public void setPrice_without_tax(Double price_without_tax) {
		this.price_without_tax = price_without_tax;
	}
	public Double getQty() {
		return qty;
	}
	public void setQty(Double qty) {
		this.qty = qty;
	}
	public Double getWithout_tax_amt() {
		return without_tax_amt;
	}
	public void setWithout_tax_amt(Double without_tax_amt) {
		this.without_tax_amt = without_tax_amt;
	}
	public Double getTax_amt() {
		return tax_amt;
	}
	public void setTax_amt(Double tax_amt) {
		this.tax_amt = tax_amt;
	}
	public Double getPrice_without_freight() {
		return price_without_freight;
	}
	public void setPrice_without_freight(Double price_without_freight) {
		this.price_without_freight = price_without_freight;
	}
	public Double getFreight_without_amt() {
		return freight_without_amt;
	}
	public void setFreight_without_amt(Double freight_without_amt) {
		this.freight_without_amt = freight_without_amt;
	}
	public Double getPrice_tax_amt() {
		return price_tax_amt;
	}
	public void setPrice_tax_amt(Double price_tax_amt) {
		this.price_tax_amt = price_tax_amt;
	}
	public Double getTicket_atm() {
		return ticket_atm;
	}
	public void setTicket_atm(Double ticket_atm) {
		this.ticket_atm = ticket_atm;
	}

}
